Create medication statement
curl --request POST \
--url https://api.openloophealth.com/v0.1/medication-statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": "<string>"
}
'import requests
url = "https://api.openloophealth.com/v0.1/medication-statements"
payload = {
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medication: {
type: 'coding',
value: {system: '<string>', code: '<string>', display: '<string>'}
},
subject_id: '<string>',
context_id: '<string>',
effective_date_time: '<string>',
effective_period: {start: '<string>', end: '<string>'},
date_asserted: '<string>',
reason_codes: [{code: '<string>', system: '<string>', display: '<string>'}],
note: '<string>'
})
};
fetch('https://api.openloophealth.com/v0.1/medication-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/medication-statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'medication' => [
'type' => 'coding',
'value' => [
'system' => '<string>',
'code' => '<string>',
'display' => '<string>'
]
],
'subject_id' => '<string>',
'context_id' => '<string>',
'effective_date_time' => '<string>',
'effective_period' => [
'start' => '<string>',
'end' => '<string>'
],
'date_asserted' => '<string>',
'reason_codes' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/medication-statements"
payload := strings.NewReader("{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/medication-statements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/medication-statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "active",
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"category": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"information_source": {
"id": "<string>",
"type": "Patient"
},
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Medication Statements
Create medication statement
Record a medication statement — an assertion that a patient is taking, has taken, or plans to take a medication, such as self-reported meds captured at intake. A statement is a record of usage, not an order.
POST
/
medication-statements
Create medication statement
curl --request POST \
--url https://api.openloophealth.com/v0.1/medication-statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": "<string>"
}
'import requests
url = "https://api.openloophealth.com/v0.1/medication-statements"
payload = {
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medication: {
type: 'coding',
value: {system: '<string>', code: '<string>', display: '<string>'}
},
subject_id: '<string>',
context_id: '<string>',
effective_date_time: '<string>',
effective_period: {start: '<string>', end: '<string>'},
date_asserted: '<string>',
reason_codes: [{code: '<string>', system: '<string>', display: '<string>'}],
note: '<string>'
})
};
fetch('https://api.openloophealth.com/v0.1/medication-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/medication-statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'medication' => [
'type' => 'coding',
'value' => [
'system' => '<string>',
'code' => '<string>',
'display' => '<string>'
]
],
'subject_id' => '<string>',
'context_id' => '<string>',
'effective_date_time' => '<string>',
'effective_period' => [
'start' => '<string>',
'end' => '<string>'
],
'date_asserted' => '<string>',
'reason_codes' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/medication-statements"
payload := strings.NewReader("{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/medication-statements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/medication-statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medication\": {\n \"type\": \"coding\",\n \"value\": {\n \"system\": \"<string>\",\n \"code\": \"<string>\",\n \"display\": \"<string>\"\n }\n },\n \"subject_id\": \"<string>\",\n \"context_id\": \"<string>\",\n \"effective_date_time\": \"<string>\",\n \"effective_period\": {\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n },\n \"date_asserted\": \"<string>\",\n \"reason_codes\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "active",
"medication": {
"type": "coding",
"value": {
"system": "<string>",
"code": "<string>",
"display": "<string>"
}
},
"subject_id": "<string>",
"reason_codes": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"category": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"context_id": "<string>",
"effective_date_time": "<string>",
"effective_period": {
"start": "<string>",
"end": "<string>"
},
"date_asserted": "<string>",
"information_source": {
"id": "<string>",
"type": "Patient"
},
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Authorizations
serviceTokenuserToken
Body
application/json

